Bug 1043551 - [abrt] libreoffice-core-4.1.3.2-10.fc20: SwPageFrm::PaintGrid: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 8 (SIGFPE)
Summary: [abrt] libreoffice-core-4.1.3.2-10.fc20: SwPageFrm::PaintGrid: Process /usr/l...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice   
(Show other bugs)
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Stahl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4cd16be982ad226f55cb506ffd7...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-16 15:31 UTC by Dong Chen
Modified: 2014-03-15 15:25 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.2.2.1-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-15 15:25:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mstahl: needinfo-


Attachments (Terms of Use)
File: backtrace (90.87 KB, text/plain)
2013-12-16 15:31 UTC, Dong Chen
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-16 15:32 UTC, Dong Chen
no flags Details
File: core_backtrace (30.92 KB, text/plain)
2013-12-16 15:32 UTC, Dong Chen
no flags Details
File: dso_list (21.65 KB, text/plain)
2013-12-16 15:32 UTC, Dong Chen
no flags Details
File: environ (1.92 KB, text/plain)
2013-12-16 15:32 UTC, Dong Chen
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-16 15:32 UTC, Dong Chen
no flags Details
File: maps (103.71 KB, text/plain)
2013-12-16 15:32 UTC, Dong Chen
no flags Details
File: open_fds (549 bytes, text/plain)
2013-12-16 15:32 UTC, Dong Chen
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-12-16 15:32 UTC, Dong Chen
no flags Details
File: var_log_messages (390 bytes, text/plain)
2013-12-16 15:32 UTC, Dong Chen
no flags Details

Description Dong Chen 2013-12-16 15:31:38 UTC
Version-Release number of selected component:
libreoffice-core-4.1.3.2-10.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///run/media/chendongsh/Software/my%20work/Work/%E6%96%87%E7%8C%AE%E6%80%BB%E7%BB%93/%E5%8F%91%E8%A1%A8%E6%96%87%E7%AB%A0/%E5%8D%9A%E5%A3%AB%E8%AE%BA%E6%96%87/%E6%B6%B2%E5%8C%96%E5%A4%A9%E7%84%B6%E6%B0%94%E7%AE%A1%E5%86%85%E6%B5%81%E5%8A%A8%E6%B2%B8%E8%85%BE%E4%BC%A0%E7%83%AD%E4%B8%8E%E5%8E%8B%E9%99%8D%E7%89%B9%E6%80%A7%E7%A0%94%E7%A9%B62.odt --splash-pipe=5
crash_function: SwPageFrm::PaintGrid
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SwPageFrm::PaintGrid at /usr/src/debug/libreoffice-4.1.3.2/sw/source/core/layout/paintfrm.cxx:5410
 #1 SwFrm::PaintBaBo at /usr/src/debug/libreoffice-4.1.3.2/sw/source/core/layout/paintfrm.cxx:6035
 #2 SwRootFrm::Paint at /usr/src/debug/libreoffice-4.1.3.2/sw/source/core/layout/paintfrm.cxx:3086
 #3 ViewShell::Paint at /usr/src/debug/libreoffice-4.1.3.2/sw/source/core/view/viewsh.cxx:1693
 #4 SwCrsrShell::Paint at /usr/src/debug/libreoffice-4.1.3.2/sw/source/core/crsr/crsrsh.cxx:1177
 #5 SwEditWin::Paint at /usr/src/debug/libreoffice-4.1.3.2/sw/source/ui/docvw/edtwin2.cxx:523
 #6 Window::ImplCallPaint at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/window/window.cxx:2470
 #12 Window::ImplCallOverlapPaint at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/window/window.cxx:2530
 #13 Window::ImplHandlePaintHdl at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/window/window.cxx:2557
 #14 Timer::ImplTimerCallbackProc at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/app/timer.cxx:133

Comment 1 Dong Chen 2013-12-16 15:31:51 UTC
Created attachment 837286 [details]
File: backtrace

Comment 2 Dong Chen 2013-12-16 15:32:00 UTC
Created attachment 837287 [details]
File: cgroup

Comment 3 Dong Chen 2013-12-16 15:32:04 UTC
Created attachment 837288 [details]
File: core_backtrace

Comment 4 Dong Chen 2013-12-16 15:32:08 UTC
Created attachment 837289 [details]
File: dso_list

Comment 5 Dong Chen 2013-12-16 15:32:11 UTC
Created attachment 837290 [details]
File: environ

Comment 6 Dong Chen 2013-12-16 15:32:14 UTC
Created attachment 837291 [details]
File: limits

Comment 7 Dong Chen 2013-12-16 15:32:20 UTC
Created attachment 837292 [details]
File: maps

Comment 8 Dong Chen 2013-12-16 15:32:24 UTC
Created attachment 837293 [details]
File: open_fds

Comment 9 Dong Chen 2013-12-16 15:32:27 UTC
Created attachment 837294 [details]
File: proc_pid_status

Comment 10 Dong Chen 2013-12-16 15:32:30 UTC
Created attachment 837295 [details]
File: var_log_messages

Comment 11 David Tardon 2014-01-09 12:15:12 UTC
Is this reproducible?

Comment 12 Michael Stahl 2014-03-10 12:13:27 UTC
can reproduce this by editing an ODF file and tweaking grid width/height to 0.

can not reproduce it by creating a text grid in the UI.

fixed in ODF import in upstream master commit:
71b55cf57460aec3fec948676251448934ba31d1

fixed in upstream libreoffice-4-2 for 4.2.3.1:
6beed55f62dacf365b16fd64dc32682e5db30a8f

added patch to Fedora 20 branch.

Comment 13 Fedora Update System 2014-03-11 10:46:31 UTC
libreoffice-4.2.2.1-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.2.1-6.fc20

Comment 14 Fedora Update System 2014-03-12 12:25:25 UTC
Package libreoffice-4.2.2.1-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.2.1-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3760/libreoffice-4.2.2.1-6.fc20
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2014-03-15 15:25:43 UTC
libreoffice-4.2.2.1-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.